Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP GET

GET outbounds/stats

Ostatnia modyfikacja 2026-05-18 13:56:05
Zwraca statystykę rekordów dla wszystkich aktywnych kampanii.

URL

https://your-system-name.thulium.com/api/outbounds/stats

Parametry

id

wymagany

Pięcioznakowy identyfikator kampanii. Przykładowa wartość: 00001

Uwagi

Zwracane pola to:
  • id identyfikator kampanii
  • records_count całkowita liczba rekordów w kampanii
  • completion_percent procent ukończenia kampanii

Przykładowy request

GET https://your-system-name.thulium.com/api/outbounds/stats

Przykładowy response

[
    {
        "id": "00001",
        "records_count": 1324,
        "completion_percent": 14.87
    },
    {
        "id": "00002",
        "records_count": 20,
        "completion_percent": 23
    }
]

Przykładowe wywołanie


PHP
<?php
$request = curl_init('https://your-system-name.thulium.com/api/outbounds/stats');
curl_setopt($request, CURLOPT_HTTPHEADER, array('Content-Type: application/json; charset=utf-8'));
curl_setopt($request, CURLOPT_USERPWD, "api_user:api_pass");
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.get("https://your-system-name.thulium.com/api/outbounds/stats");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X GET -H "Accept: application/json" "https://your-system-name.thulium.com/api/outbounds/stats"

HTTPie
http -a api_user:api_pass GET https://your-system-name.thulium.com/api/outbounds/stats Accept:application/json